Bug 895287 - Port jbrout's use of PIL to support Pillow for F19
Port jbrout's use of PIL to support Pillow for F19
Product: Fedora
Classification: Fedora
Component: jbrout (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
Depends On:
Blocks: PILLOW
  Show dependency treegraph
Reported: 2013-01-14 19:33 EST by Toshio Ernie Kuratomi
Modified: 2013-09-01 07:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-01 07:42:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to use the form of import of PIL that is pillow compatible (924 bytes, patch)
2013-01-14 19:33 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-01-14 19:33:01 EST
Description of problem:

Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the jbrout source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.
Comment 1 Toshio Ernie Kuratomi 2013-01-14 19:33:36 EST
Created attachment 678526 [details]
Patch to use the form of import of PIL that is pillow compatible
Comment 2 Toshio Ernie Kuratomi 2013-01-29 12:14:25 EST
If I don't hear anything back from you, I'll go ahead and use provenpackager powers to apply this patch to the RawHide package next week.  I'll leave sending the patch to upstream up to you, though.
Comment 3 Toshio Ernie Kuratomi 2013-02-04 20:48:54 EST
new jbrout built for Rawhide with this patch applied.  I'll leave this bug open as I didn't send the patch upstream.
Comment 4 Fedora End Of Life 2013-04-03 16:26:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.